cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-8143) Android Studio update combined with Build Tools upgrade breaks 4.0 build
Date Thu, 18 Aug 2016 21:52:20 GMT

    [ https://issues.apache.org/jira/browse/CB-8143?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15427227#comment-15427227
] 

ASF GitHub Bot commented on CB-8143:
------------------------------------

Github user infil00p commented on a diff in the pull request:

    https://github.com/apache/cordova-android/pull/323#discussion_r75396391
  
    --- Diff: bin/templates/cordova/lib/plugin-build.gradle ---
    @@ -21,24 +21,15 @@
     buildscript {
         repositories {
             mavenCentral()
    +        jcenter()
         }
     
         // Switch the Android Gradle plugin version requirement depending on the
         // installed version of Gradle. This dependency is documented at
         // http://tools.android.com/tech-docs/new-build-system/version-compatibility
         // and https://issues.apache.org/jira/browse/CB-8143
    -    if (gradle.gradleVersion >= "2.2") {
    -        dependencies {
    -            classpath 'com.android.tools.build:gradle:1.0.0+'
    -        }
    -    } else if (gradle.gradleVersion >= "2.1") {
    -        dependencies {
    -            classpath 'com.android.tools.build:gradle:0.14.0+'
    -        }
    -    } else {
    -        dependencies {
    -            classpath 'com.android.tools.build:gradle:0.12.0+'
    -        }
    +    dependencies {
    +        classpath 'com.android.tools.build:gradle:1.0.0+'
    --- End diff --
    
    You're correct about the switching logic being removed and it not being required.  The
information in CB-8143 is obsolete, and we already did this in the main gradle file.  We should
be using the latest gradle tools and keeping up to date with the stable Android Studio updates,
which updates extremely often, and usually updates automatically.


> Android Studio update combined with Build Tools upgrade breaks 4.0 build
> ------------------------------------------------------------------------
>
>                 Key: CB-8143
>                 URL: https://issues.apache.org/jira/browse/CB-8143
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Android
>    Affects Versions: 4.0.0
>            Reporter: Joe Bowser
>            Assignee: Ian Clelland
>            Priority: Blocker
>             Fix For: 4.0.0
>
>
> I just updated Android Studio to 1.0, which also now updates my Android Tools.  That's
pretty cool, except that it breaks everything we have for our gradle support: 
> {code}
> FAILURE: Build failed with an exception.
> * Where:
> Build file '/Users/bowserj/UtahDemo/build.gradle' line: 27
> * What went wrong:
> A problem occurred evaluating root project 'UtahDemo'.
> > Failed to apply plugin [id 'android']
>    > Gradle version 1.10 is required. Current version is 2.2.1. If using the gradle
wrapper, try editing the distributionUrl in /Users/bowserj/UtahDemo/gradle/wrapper/gradle-wrapper.properties
to gradle-1.10-all.zip
> * Try:
> Run with --stacktrace option to get the stack trace. Run with --info or --debug option
to get more log output.
> BUILD FAILED
> Total time: 1.94 secs
> {code}
> This happens with all 4.0 projects.  I've tried tweaking build.gradle to work with the
right version, but I can see this severely aggravating users to no end.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message